using System;
using System.Drawing;
using Docs.Word;


namespace SampleManager
{
	class Sections_Columns
	{
		internal static Document Main1()
		{
			//	Open the document with given name
			Document Doc = Document.ReadDOC(Form1.SourceFolder + "Sections - Columns.doc");

			//	Add a new section with one paragraph
			Doc.AddSection();
			Paragraph Par = Doc.Sections[1].AddParagraph("New Paragraph");
			Par.Style.Spacings.SpacingBefore = 15;
			
			//	Change the column properties of the first section
			Doc.Sections[0].SplitIntoColumns(3, 30, 60);
			Doc.Sections[0].Style.Columns.LinesBetween = true;
			Doc.Sections[0].Style.SectionBreak = SectionBreakStyle.Continuous;
			Doc.Sections[1].Style.SectionBreak = SectionBreakStyle.Continuous;

			return Doc;
		}
	}
}
